Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_unicode_char_to_utf8

## Name

librdf_unicode_char_to_utf8 -- Convert a Unicode character to UTF-8 encoding

## Synopsis

``int `librdf_unicode_char_to_utf8`` (librdf_unichar `c`, byte * `output`, int `length`);`

## Arguments

`c`

  Unicode character

`output`

  UTF-8 string buffer or NULL

`length`

  buffer size

## Description

If buffer is NULL, then will calculate the length rather than perform it. This can be used by the caller to allocate space and then re-call this function with the new buffer.

## Return value

bytes written to output buffer or <0 on failure

<<< Previous | Home | Next >>>
UTF-8 | Up | librdf_utf8_to_unicode_char